Subject: Re: man pages are littered with .ft C and others

From: Jonas Fonseca <[email-masked]>
Date: Tue, 5 Feb 2008 01:00:48 +0100

Jakub Narebski <[email-masked]> wrote Tue, Feb 05, 2008:
> On Mon, 4 Feb 2008, Jonas Fonseca wrote:
> > Jakub Narebski <[email-masked]> wrote Sun, Feb 03, 2008:
> > > Junio C Hamano wrote:
> > > > Jakub Narebski <[email-masked]> writes:
> > > >
> > > > [From] http://thread.gmane.org/gmane.comp.version-control.git/53457/focus=53458
> > > Julian Phillips:
> > > > Are you using docbook xsl 1.72?  There are known problems building the 
> > > > manpages with that version.  1.71 works, and 1.73 should work when it get 
> > > > released.
> > 
> > I was able to solve this problem with this patch, which adds a XSL file
> > used specifically for DOCBOOK_XSL_172=YesPlease and where dots and
> > backslashes are escaped properly so they won't be substituted to the
> > wrong thing further down the "DocBook XSL pipeline". Doing the escaping
> > in the existing callout.xsl breaks v1.70.1. Hopefully v1.73 will end
> > this part of the manpage nightmare.
> 
> I have applied this patch, and it makes manpages worse, not better.
> I use DocBook XSL version 1.68.1

OK, I might have been a bit unclear, but the patch was not intended for
you but for users of version 1.72+. ;)

> P.S. writing subset of AsciiDoc in Perl, which would write manpages, HTML
> and perhaps info/texinfo files directly, without fragile xmlto toolchain,
> looks better and better...

But not as easy as just pulling the documentation branches.

-- 
Jonas Fonseca